﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace BugWithCenterParent
{
    public partial class MainForm : Form
    {
        public MainForm()
        {
            InitializeComponent();
        }

        private void btnModal_Click(object sender, EventArgs e)
        {
            using (var kid = new ChildForm())
            {
                kid.ShowDialog(this);
            }
        }

        private void btnNonModal_Click(object sender, EventArgs e)
        {
            var kid = new ChildForm();
            kid.Show(this);
        }

        private void btnWorkaround_Click(object sender, EventArgs e)
        {
            var kid = new ChildForm();
            kid.StartPosition = FormStartPosition.Manual;
            int newLeft = this.Left + (this.Width - kid.Width) / 2;
            int newTop = this.Top + (this.Height - kid.Height) / 2;
            kid.Location = new Point(newLeft, newTop);
            kid.Show(this);
        }

        private void btnWorkaround2_Click(object sender, EventArgs e)
        {
            var kid = new ChildForm();
            kid.Show2(this);
        }

    }
}
