﻿using System.Drawing;
using System.Windows.Forms;

namespace BugWithCenterParent
{
    internal static class ExtendShow
    {

        public static void Show2(this Form kid, Form owner)
        {
            if (kid.StartPosition == FormStartPosition.CenterParent) {
                kid.StartPosition = FormStartPosition.Manual;
                int newLeft = owner.Left + (owner.Width - kid.Width) / 2;
                int newTop = owner.Top + (owner.Height - kid.Height) / 2;
                kid.Location = new Point(newLeft, newTop);
            }
            kid.Show(owner);
        }

    }
}
